Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1091982

Description of problem:

Unable to delete repositories once published.

From /var/log/foreman/production.log

Processing by Katello::Api::V2::RepositoriesBulkActionsController#destroy_repositories as JSON

Parameters: {"ids"=>[193], "organization_id"=>"ACME_Corporation", "api_version"=>"v2",

"repositories_bulk_action"=>{"ids"=>[193]}}

Katello::Errors::SecurityViolation: User admin is not allowed to access katello/api/v2/repositories_bulk_actions/destroy_repositories

Completed 403 Forbidden in 26ms (Views: 0.3ms | ActiveRecord: 4.1ms)

Version-Release number of selected component (if applicable):

Sat6-Beta-Snap2-Compose2

How reproducible:

Steps to Reproduce:

1.create repo and sync

2. attach/add to CV and publish

3. Unable to remove a repository once published

Actual results:

Unable to remove a repository once published and we get the below message:

"User admin is not allowed to access katello/api/v2/repositories_bulk_actions/destroy_repositories"

Expected results:

Need a help tip similar to product and "Remove Repository" needs to be greyed out similar to "Remove Products" once that particular

repo is published.

Additional info:

Associated revisions

Revision fbf9e204 - 07/31/2014 10:17 AM - Partha Aji

Fixes #6829,6805 - Disable repo remove if published

Added code to disable remove repository button if

1) Repo = RedHat

2) Repo has previously been promoted or published

3) Repo has no delete permissions.
Revision 1e061ae7 - 07/31/2014 10:17 AM - Partha Aji

Fixes #6829,6805 - Disable repo remove if published

Added code to disable remove repository button if

1) Repo = RedHat

2) Repo has previously been promoted or published

3) Repo has no delete permissions.

Revision 641e4812 - 07/31/2014 01:03 PM - Partha Aji

Merge pull request #4502 from parthaa/repo-remove

Fixes #6829,6805 - Disable repo remove if published

Revision 608e69c4 - 07/31/2014 01:03 PM - Partha Aji 

Merge pull request #4502 from parthaa/repo-remove

Fixes #6829,6805 - Disable repo remove if published

History

#1 - 07/29/2014 07:29 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/katello/pull/4502 added

- Pull request deleted ()

#2 - 07/31/2014 02:01 PM - Partha Aji

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|fbf9e204b1b958f512df8c0178d686766f1aea3d.

#3 - 08/01/2014 08:06 AM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/22/2014 09:24 AM - Eric Helms

- translation missing: en.field_release set to 13
